LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 03-28-2006, 08:59 PM   #1
pwhitey86
LQ Newbie
 
Registered: Dec 2004
Location: NJ, USA
Distribution: Debian
Posts: 15

Rep: Reputation: 0
configure: error: cannot find libusb support ???


I am trying to install a driver for an HP 1012. I downloaded the hplip-0.9.10 driver via http://hplip.sourceforge.net/.

I run:

Code:
./configure --prefix=/usr
and it fails at

Code:
...
checking for usb_init in -lusb... no
configure: error: cannot find libusb support
any clues .. thanks
 
Old 03-29-2006, 07:38 AM   #2
nx5000
Senior Member
 
Registered: Sep 2005
Location: Out
Posts: 3,307

Rep: Reputation: 53
Install libusb development files?
Code:
apt-get libusb-dev
But why not use hplip binary?
Code:
apt-get install hplip
Install from source only if you need a newer version not present in your debian release.
Otherwise if it's because its not compile with the flags you need, you can:
Code:
apt-get source hplip
This will get the debian source package
to modify the flags or configuration, edit <dir_of_hplip_source_package>/debian/rules
and then rebuild, something like
Code:
debian/rules build
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
error: cannot find net-snmp support Cyber Maid Linux - Software 3 03-05-2006 02:38 PM
./configure error (can't find libraries) nodnarb Linux - Newbie 3 02-09-2006 09:10 PM
libusb not available to sane-find-scanner Simon Bridge Ubuntu 2 10-10-2005 08:14 PM
configure: error: cannot find cups-devel support hscast Linux - Software 1 04-29-2005 02:36 AM
configure: error: Could not find -lSDL_mixer wakeupbomb Slackware 5 07-29-2003 06:23 PM


All times are GMT -5. The time now is 10:36 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration